List orders
curl --request GET \
--url {schemes}://api.upsun.com/organizations/{organization_id}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/organizations/{organization_id}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/organizations/{organization_id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": {
"country": "<string>",
"name_line": "<string>",
"premise": "<string>",
"sub_premise": "<string>",
"thoroughfare": "<string>",
"administrative_area": "<string>",
"sub_administrative_area": "<string>",
"locality": "<string>",
"dependent_locality": "<string>",
"postal_code": "<string>"
},
"company": "<string>",
"vat_number": "<string>",
"billing_period_start": "2023-11-07T05:31:56Z",
"billing_period_end": "2023-11-07T05:31:56Z",
"billing_period_label": {
"formatted": "<string>",
"month": "<string>",
"year": "<string>",
"next_month": "<string>"
},
"billing_period_duration": 123,
"paid_on": "2023-11-07T05:31:56Z",
"total": 123,
"total_formatted": 123,
"components": {
"voucher/vat/baseprice": {}
},
"currency": "<string>",
"invoice_url": "<string>",
"last_refreshed": "2023-11-07T05:31:56Z",
"invoiced": true,
"line_items": [
{
"license_id": 123,
"project_id": "<string>",
"product": "<string>",
"sku": "<string>",
"total": 123,
"total_formatted": "<string>",
"components": {},
"exclude_from_invoice": true
}
],
"_links": {
"invoices": {
"href": "<string>"
}
}
}
],
"_links": {
"self": {
"href": "<string>"
},
"previous": {
"href": "<string>"
},
"next": {
"href": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Orders
List orders
deprecated
Retrieves orders for the specified organization.
GET
/
organizations
/
{organization_id}
/
orders
Error
A valid request URL is required to generate request examples{
"items": [
{
"id": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": {
"country": "<string>",
"name_line": "<string>",
"premise": "<string>",
"sub_premise": "<string>",
"thoroughfare": "<string>",
"administrative_area": "<string>",
"sub_administrative_area": "<string>",
"locality": "<string>",
"dependent_locality": "<string>",
"postal_code": "<string>"
},
"company": "<string>",
"vat_number": "<string>",
"billing_period_start": "2023-11-07T05:31:56Z",
"billing_period_end": "2023-11-07T05:31:56Z",
"billing_period_label": {
"formatted": "<string>",
"month": "<string>",
"year": "<string>",
"next_month": "<string>"
},
"billing_period_duration": 123,
"paid_on": "2023-11-07T05:31:56Z",
"total": 123,
"total_formatted": 123,
"components": {
"voucher/vat/baseprice": {}
},
"currency": "<string>",
"invoice_url": "<string>",
"last_refreshed": "2023-11-07T05:31:56Z",
"invoiced": true,
"line_items": [
{
"license_id": 123,
"project_id": "<string>",
"product": "<string>",
"sku": "<string>",
"total": 123,
"total_formatted": "<string>",
"components": {},
"exclude_from_invoice": true
}
],
"_links": {
"invoices": {
"href": "<string>"
}
}
}
],
"_links": {
"self": {
"href": "<string>"
},
"previous": {
"href": "<string>"
},
"next": {
"href": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization.
Prefix with name= to retrieve the organization by name instead.
Query Parameters
The status of the order.
Available options:
completed, past_due, pending, canceled, payment_failed_soft_decline, payment_failed_hard_decline The total of the order.
Page to be displayed. Defaults to 1.
The output mode.
Available options:
details Last modified on June 16, 2026
Was this page helpful?
⌘I